## acl2 4.0

=== books/Makefile ===
#; ACL2 Version 4.0 -- A Computational Logic for Applicative Common Lisp
#; Copyright (C) 2010  University of Texas at Austin

#; This version of ACL2 is a descendent of ACL2 Version 1.9, Copyright
#; (C) 1997 Computational Logic, Inc.  See the documentation topic NOTES-2-0.

#; This program is free software; you can redistribute it and/or modify
#; it under the terms of the GNU General Public License as published by
#; the Free Software Foundation; either version 2 of the License, or
#; (at your option) any later version.

#; This program is distributed in the hope that it will be useful,
#; but WITHOUT ANY WARRANTY; without even the implied warranty of
#; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#; GNU General Public License for more details.

#; You should have received a copy of the GNU General Public License
#; along with this program; if not, write to the Free Software
#; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#; Written by:  Matt Kaufmann               and J Strother Moore
#; email:       Kaufmann@cs.utexas.edu      and Moore@cs.utexas.edu
#; Department of Computer Sciences
#; University of Texas at Austin
#; Austin, TX 78712-1188 U.S.A.

# This file certifies all the books that come with the system by asking the
# appropriate subdirectories certify their books.  The subsidiary Makefiles
# take advantage of a makefile, Makefile-generic, in this directory, which is
# derived from one written by Bishop Brock.

# For example, to clean and time book certification (including workshops):
# make clean all-plus

# We do not set variable ACL2 set here, because the value here would be
# overriden anyhow by the values in the subsidiary Makefiles, which get their
# value from file Makefile-generic.  However, ACL2 can be set on the command
# line, e.g.:
# make ACL2=acl2
# make ACL2=/usr/local/bin/acl2 TIME=/usr/bin/time
# make ACL2=/u/acl2/v2-9/acl2-sources/saved_acl2

TIME = time

# Directories go here; first those before certifying arithmetic/top-with-meta,
# then those afterwards.

# NOTE!  This does *not* touch directory nonstd.

# Note: arithmetic-4 could be added in analogy to arithmetic-5.

# First directories of books to certify:
DIRS1 = cowles arithmetic meta
# Additional directories, where DIRS3 prunes out those not distributed.
# We rely on DIRS3 being a subset of DIRS2 in the dependence of DIRS2 on
# top-with-meta-cert.
DIRS2_EXCEPT_WK_COI = ordinals data-structures bdd ihs arithmetic-2 arithmetic-3 arithmetic-5 \
	misc models/jvm/m5 proofstyles rtl arithmetic-3/extra sorting make-event parallel hints \
	fix-cert finite-set-theory finite-set-theory/osets powerlists textbook \
	defexec symbolic \
	data-structures/memories unicode str concurrent-programs/bakery \
	concurrent-programs/german-protocol deduction/passmore clause-processors \
	quadratic-reciprocity tools paco hacking hons-bdds security regex \
        defsort hons-archive serialize xdoc system tutorial-problems
DIRS2_EXCEPT_WK = $(DIRS2_EXCEPT_WK_COI) coi misc/misc2
DIRS2 = $(DIRS2_EXCEPT_WK) workshops
SHORTDIRS2 = ordinals data-structures bdd

.PHONY: $(DIRS1) $(DIRS2) $(DIRS2_EXCEPT_WK)

# Same as all-plus below, using DIRS2_EXCEPT_WK instead of DIRS2.  Much faster!!  Omits
# books less likely to be needed, in particular, under workshops/.
all:
	@date ; $(TIME) $(MAKE) all-aux


# Next, specify all of the directory dependencies.  At this point we do this
# manually by inspecting the Makefiles.
arithmetic: cowles
meta: arithmetic
ordinals: top-with-meta-cert
ihs: arithmetic data-structures
misc: data-structures top-with-meta-cert ordinals arithmetic ihs arithmetic-2 arithmetic-3
make-event: misc arithmetic-3 arithmetic rtl
arithmetic-2: ihs
rtl: arithmetic meta top-with-meta-cert ordinals ihs misc arithmetic-2
# arithmetic-3 has no dependencies (but see arithmetic-3/extra)
arithmetic-3/extra: arithmetic-3 ihs rtl arithmetic-2 arithmetic-3
# arithmetic-5 has no dependencies
finite-set-theory: arithmetic ordinals
finite-set-theory/osets: unicode
powerlists: arithmetic ordinals data-structures
textbook: arithmetic top-with-meta-cert ordinals ihs
defexec: arithmetic misc ordinals make-event
hons-bdds: misc clause-processors
symbolic: arithmetic arithmetic-2 data-structures ihs misc ordinals models/jvm/m5
data-structures/memories: arithmetic-3 misc
unicode: arithmetic arithmetic-3 ihs ordinals tools
proofstyles: arithmetic-2 ordinals misc top-with-meta-cert
concurrent-programs/bakery: misc ordinals
concurrent-programs/german-protocol: misc
deduction/passmore: 
serialize: tools
clause-processors: top-with-meta-cert make-event arithmetic-3 textbook arithmetic \
	misc tools data-structures arithmetic-5
quadratic-reciprocity: rtl
misc/misc2: rtl make-event coi top-with-meta-cert
hints: make-event
models/jvm/m5: top-with-meta-cert ordinals misc ihs
# models/jvm/m5 is needed for paco/books, not paco
paco: ihs ordinals top-with-meta-cert
hacking: misc
parallel: make-event
security: make-event arithmetic-3
sorting: arithmetic-3/extra
tools: arithmetic-5 misc
regex: tools
defsort: misc make-event unicode tools
hons-archive: defsort unicode tools arithmetic-3
str: arithmetic unicode defsort tools make-event
coi: arithmetic arithmetic-2 arithmetic-3 data-structures ihs make-event \
	misc ordinals rtl
xdoc: str unicode finite-set-theory
system: tools arithmetic arithmetic-5

# Let us wait for everything else before workshops, except we currrently
# (as of v3-6, at least) don't need to wait for coi (that may change).
workshops: $(DIRS1) $(DIRS2_EXCEPT_WK_COI)

$(DIRS1):
	@if [ -f $@/Makefile ]; then cd $@ ; $(MAKE) ; fi

$(DIRS2): top-with-meta-cert
	@if [ -f $@/Makefile ]; then cd $@ ; $(MAKE) ; fi

.PHONY: all-aux
all-aux: $(DIRS1) $(DIRS2_EXCEPT_WK)

# We should really parallelize the compile targets below (fasl, all-fasl,
# all-o, etc.) as with the .cert targets above.  Any volunteers?

# Keep the following pairs in sync with the two targets just above.
# They will create compiled files for books that may have already been
# certified in another lisp (.fasl files for all-fasl, etc.).
# Of course, the underlying lisp of the ACL2 that is run should agree with
# the desired compiled file extension.

.PHONY: fasl
fasl:
	@date ; $(TIME) $(MAKE) fasl-aux ; date

.PHONY: fasl-aux
fasl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fasl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-fasl
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fasl ; \
	cd ..) ; \
	fi \
	done

.PHONY: fas
fas:
	@date ; $(TIME) $(MAKE) fas-aux ; date

.PHONY: fas-aux
fas-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fas ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-fas
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fas ; \
	cd ..) ; \
	fi \
	done

.PHONY: sparcf
sparcf:
	@date ; $(TIME) $(MAKE) sparcf-aux ; date

.PHONY: sparcf-aux
sparcf-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) sparcf ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-sparcf
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) sparcf ; \
	cd ..) ; \
	fi \
	done

.PHONY: ufsl
ufsl:
	@date ; $(TIME) $(MAKE) ufsl-aux ; date

.PHONY: ufsl-aux
ufsl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) ufsl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-ufsl
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) ufsl ; \
	cd ..) ; \
	fi \
	done

.PHONY: x86f
x86f:
	@date ; $(TIME) $(MAKE) x86f-aux ; date

.PHONY: x86f-aux
x86f-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) x86f ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-x86f
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) x86f ; \
	cd ..) ; \
	fi \
	done

.PHONY: o
o:
	@date ; $(TIME) $(MAKE) o-aux ; date

.PHONY: o-aux
o-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) o ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-o
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) o ; \
	cd ..) ; \
	fi \
	done

.PHONY: dfsl
dfsl:
	@date ; $(TIME) $(MAKE) dfsl-aux ; date

.PHONY: dfsl-aux
dfsl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) dfsl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-dfsl
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) dfsl ; \
	cd ..) ; \
	fi \
	done

.PHONY: d64fsl
d64fsl:
	@date ; $(TIME) $(MAKE) d64fsl-aux ; date

.PHONY: d64fsl-aux
d64fsl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) d64fsl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-d64fsl
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) d64fsl ; \
	cd ..) ; \
	fi \
	done

.PHONY: dx64fsl
dx64fsl:
	@date ; $(TIME) $(MAKE) dx64fsl-aux ; date

.PHONY: dx64fsl-aux
dx64fsl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) dx64fsl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-dx64fsl
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) dx64fsl ; \
	cd ..) ; \
	fi \
	done

.PHONY: lx64fsl
lx64fsl:
	@date ; $(TIME) $(MAKE) lx64fsl-aux ; date

.PHONY: lx64fsl-aux
lx64fsl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) lx64fsl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-lx64fsl
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) lx64fsl ; \
	cd ..) ; \
	fi \
	done

.PHONY: lx32fsl
lx32fsl:
	@date ; $(TIME) $(MAKE) lx32fsl-aux ; date

.PHONY: lx32fsl-aux
lx32fsl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) lx32fsl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-lx32fsl
	@for dir in $(DIRS2_EXCEPT_WK) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) lx32fsl ; \
	cd ..) ; \
	fi \
	done

# Certify all books that need certification.  If you want to get a total time
# for certifying all books, then first do "make clean".
.PHONY: all-plus
all-plus: $(DIRS1) $(DIRS2)

# Keep the following three pairs in sync with the two targets just above.
# They will create compiled files for books that may have already been
# certified in another lisp (.fasl files for all-fasl, etc.).
# Of course, the underlying lisp of the ACL2 that is run should agree with
# the desired compiled file extension.

.PHONY: all-fasl
all-fasl:
	@date ; $(TIME) $(MAKE) all-fasl-aux ; date

.PHONY: all-fasl-aux
all-fasl-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fasl ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-fasl
	@for dir in $(DIRS2) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fasl ; \
	cd ..) ; \
	fi \
	done

.PHONY: all-fas
all-fas:
	@date ; $(TIME) $(MAKE) all-fas-aux ; date

.PHONY: all-fas-aux
all-fas-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fas ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-fas
	@for dir in $(DIRS2) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) fas ; \
	cd ..) ; \
	fi \
	done

.PHONY: all-sparcf
all-sparcf:
	@date ; $(TIME) $(MAKE) all-sparcf-aux ; date

.PHONY: all-sparcf-aux
all-sparcf-aux:
	@for dir in $(DIRS1) ; \
	do \
	if [ -f $$dir/Makefile ]; then \
	(cd $$dir ; \
	$(MAKE) sparcf ; \
	cd ..) ; \
	fi \
	done
	@$(MAKE) top-with-meta-sparcf
	@for dir in $(DIRS2) ; \
	do \
	if [ -f $$dir/Makefile ]; then \

=== books/arithmetic/Makefile ===
include ../Makefile-generic
-include Makefile-deps

# Unfortunately, we cannot certify top-with-meta until we have completed
# certification in the meta/ directory.  So we set BOOKS so that
# top-with-meta.cert is not made by default.  The ":=" makes the assignment
# non-recursive.

BOOKS := $(filter-out top-with-meta,$(BOOKS))

# Extra deps for top-with-meta because of circularity with meta directory.
# Messy messy.

top-with-meta.cert: top-with-meta.lisp
top-with-meta.cert: top.cert
top-with-meta.cert: ../meta/meta.cert

=== books/bdd/Makefile ===
include ../Makefile-generic

BOOKS = $(patsubst %.lisp, %, $(wildcard *.lisp)) benchmarks

clean: clean-benchmarks

clean-benchmarks:
	rm -f benchmarks.lisp

benchmarks.lisp: cbf.cert

# Below is the result of running 'make Makefile-deps', except for one
# addition, a noted.  We get a warning, however, if we run that make
# command; so instead we include the dependencies below.

alu-proofs.cert: alu-proofs.lisp
alu-proofs.cert: alu.cert

alu.cert: alu.lisp
alu.cert: bdd-primitives.cert

bdd-primitives.cert: bdd-primitives.lisp

bool-ops.cert: bool-ops.lisp

cbf.cert: cbf.lisp
cbf.cert: bool-ops.cert

hamming.cert: hamming.lisp
hamming.cert: bdd-primitives.cert

pg-theory.cert: pg-theory.lisp
pg-theory.cert: bdd-primitives.cert

benchmarks.cert: benchmarks.lisp
benchmarks.cert: benchmarks.acl2
benchmarks.cert: cbf.cert
# Added manually:
benchmarks.cert: bool-ops.cert

=== books/coi/Makefile ===
DIRS =	symbol-fns \
	util \
	adviser \
	nary \
	lists \
	osets \
	syntax \
	bags \
	alists \
	records \
	paths \
	maps \
	dtrees \
	defpun \
	defstructure \
	super-ihs \
	gacc \
	gensym \
        generalize \
	quantification \
	termination

include ../Makefile-subdirs

=== books/cowles/Makefile ===
include ../Makefile-generic
-include Makefile-deps

=== books/fix-cert/Makefile ===
include ../Makefile-generic
-include Makefile-deps

# This copies the .cert files as they are, but doesn't get them into their
# final state.
moved/%.cert: %.cert
	cp -v $^ $@

# Certifying this one actually updates the moved/*.cert files to reflect
# their new location.
test-fix-cert0.cert: moved/test1bb.cert moved/test1bp.cert moved/test1pp.cert moved/test1pb.cert moved/test1b.cert moved/test1p.cert moved/test1.cert moved/test2.cert

# And these test that we can then include them.
test-fix-cert1.cert: test-fix-cert0.cert
test-fix-cert2.cert: test-fix-cert0.cert

clean: moved-clean

moved-clean:
	rm -f moved/*.cert

=== books/hacking/Makefile ===
# Nullify chk-include-book-worlds target (see Makefile-generic):
ACL2_SKIP_CHK_INCLUDE_BOOK_WORLDS = t

include ../Makefile-generic
-include Makefile-deps

# Note: Because of Lisp-specific readtime conditionals in
# evalable-ld-printing.lisp (e.g., search for `gcl'), "make o" and
# such using one host Lisp may report uncertified books when
# certification was done with an ACL2 based on a different host Lisp.
# This seems like a reasonably harmless state of affairs, however.

=== books/make-event/Makefile ===
include ../Makefile-generic
-include Makefile-deps

# Added manually, based on *default-arith-book-alist*:
# proof-by-arith.cert: $(ACL2_SYSTEM_BOOKS)/arithmetic-3/bind-free/top.cert
# proof-by-arith.cert: $(ACL2_SYSTEM_BOOKS)/arithmetic-3/floor-mod/floor-mod.cert
# proof-by-arith.cert: $(ACL2_SYSTEM_BOOKS)/arithmetic/top-with-meta.cert
# proof-by-arith.cert: $(ACL2_SYSTEM_BOOKS)/rtl/rel5/arithmetic/top.cert

=== books/misc/Makefile ===
include ../Makefile-generic
-include Makefile-deps

=== books/parallel/Makefile ===
include ../Makefile-generic
-include Makefile-deps

# This is really gross and taken from the xdoc directory for lack of knowing of
# something better.
COMPILE_FLG := t :ttags :all

# Additional dependencies to force serialization when set-compile-fns is set
# (causes a problem for GCL 2.6.*).

matrix-multiplication-parallel.cert: matrix-multiplication-serial.cert
fibonacci.cert: matrix-multiplication-parallel.cert

=== books/rtl/Makefile ===
DIRS = rel1 rel4 rel5 rel8

# Note: Directories rel2 and rel3 still exist, but are no longer
# distributed.  Directory rel1 is needed not only for ACL2(r) but also
# for a few workshop books (e.g. 1999/embedded/Proof-Of-Contribution/
# and 2000/russinoff-kaufmann/supporting-materials/).  Hanbing Liu
# pointed out that rel7 is very similar to rel6, so we no longer
# distribute or even test with rel6.  Also rel8 seems somewhat similar
# to rel7, so we no longer certify books in rel7 by default, though we
# may still distribute it.  Note that file ../Makefile-psubdirs is
# engineered to skip gracefully over any missing subdirectories.

include ../Makefile-psubdirs

=== books/security/Makefile ===
DIRS = jfkr
include ../Makefile-subdirs

## acl2 4.1

=== books/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#; ACL2 Version 4.0 -- A Computational Logic for Applicative Common Lisp
+#; ACL2 Version 4.1 -- A Computational Logic for Applicative Common Lisp
 #; Copyright (C) 2010  University of Texas at Austin
 
 #; This version of ACL2 is a descendent of ACL2 Version 1.9, Copyright
@@ -55,7 +55,7 @@
 # We rely on DIRS3 being a subset of DIRS2 in the dependence of DIRS2 on
 # top-with-meta-cert.
 DIRS2_EXCEPT_WK_COI = ordinals data-structures bdd ihs arithmetic-2 arithmetic-3 arithmetic-5 \
-	misc models/jvm/m5 proofstyles rtl arithmetic-3/extra sorting make-event parallel hints \
+	misc models/jvm/m1 models/jvm/m5 proofstyles rtl arithmetic-3/extra sorting make-event parallel hints \
 	fix-cert finite-set-theory finite-set-theory/osets powerlists textbook \
 	defexec symbolic \
 	data-structures/memories unicode str concurrent-programs/bakery \
@@ -106,11 +106,12 @@
 quadratic-reciprocity: rtl
 misc/misc2: rtl make-event coi top-with-meta-cert
 hints: make-event
+models/jvm/m1: arithmetic-3/extra
 models/jvm/m5: top-with-meta-cert ordinals misc ihs
 # models/jvm/m5 is needed for paco/books, not paco
 paco: ihs ordinals top-with-meta-cert
 hacking: misc
-parallel: make-event
+parallel: make-event tools
 security: make-event arithmetic-3
 sorting: arithmetic-3/extra
 tools: arithmetic-5 misc
@@ -483,6 +484,3 @@
 	fi \
 	done
 	@$(MAKE) top-with-meta-sparcf
-	@for dir in $(DIRS2) ; \
-	do \
-	if [ -f $$dir/Makefile ]; then \

=== books/fix-cert/Makefile ===
--- 
+++ 
@@ -18,3 +18,8 @@
 
 moved-clean:
 	rm -f moved/*.cert
+
+# We skip all books for "make fasl" etc., i.e., for compiling
+# already-certified books, because of the unusual nature of this
+# directory.
+BOOKS_SKIP_COMP := $(BOOKS)

=== books/misc/Makefile ===
include ../Makefile-generic
-include Makefile-deps

# We skip some books for "make fasl" etc., i.e., for
# compiling already-certified books:
# - dft-ex.acl2 specifies no compilation
# - getprop.lisp: got stack overflow, probably not surprising given (comp t) in book
BOOKS_SKIP_COMP := dft-ex getprop

=== debian/changelog ===
acl2 (4.1-5) unstable; urgency=low

  * build depend on latest gcl
  * turn off si::*optimize-maximum-pages* in reverse-by-separation.acl2
  * remove unnecessary patch from serialize-tests.lisp

 -- Camm Maguire <camm@debian.org>  Fri, 05 Nov 2010 16:19:11 +0000

acl2 (4.1-4) unstable; urgency=low

  * build dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 27 Oct 2010 20:47:24 +0000

acl2 (4.1-3) unstable; urgency=low

  * build-dep latest gcl
  * Bug fix: "FTBFS on mips: Terminated", thanks to Cyril Brulebois
    (Closes: #599946).
  * Bug fix: "FTBFS on mipsel: Unrecoverable error: Segmentation
    violation..", thanks to Cyril Brulebois (Closes: #599998).

 -- Camm Maguire <camm@debian.org>  Wed, 20 Oct 2010 16:15:56 +0000

acl2 (4.1-2) unstable; urgency=low

  * build-dep latest gcl
  * Bug fix: "FTBFS (powerpc): ls: cannot access
    tiny.cert: No such file or directory", thanks to Philipp Kern (Closes:
    #597278).

 -- Camm Maguire <camm@debian.org>  Thu, 23 Sep 2010 12:44:54 +0000

acl2 (4.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sun, 05 Sep 2010 00:27:43 +0000

acl2 (4.0-3) unstable; urgency=low

  * compile nats to avoid invocation stack overflow on #-native-reloc
    machines

 -- Camm Maguire <camm@debian.org>  Fri, 09 Jul 2010 13:00:12 +0000

acl2 (4.0-2) unstable; urgency=low

  * Work around absence of HOME in buildd environments.

 -- Camm Maguire <camm@debian.org>  Thu, 08 Jul 2010 16:14:04 +0000

acl2 (4.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 07 Jul 2010 21:49:46 +0000

acl2 (3.6.1-2) unstable; urgency=low

  * Bug fix: "acl2 depends on old / broken emacs22 package", thanks to
    Andreas Barth (Closes: #585405).
  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Thu, 10 Jun 2010 14:09:37 +0000

acl2 (3.6.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sun, 06 Jun 2010 19:58:55 +0000

acl2 (3.6-4) unstable; urgency=low

  * Bug fix: "FTBFS [hppa] - **CERTIFICATION FAILED** for ram2b.lisp",
    thanks to dann frazier (Closes: #564247).

 -- Camm Maguire <camm@debian.org>  Mon, 11 Jan 2010 17:44:36 +0000

acl2 (3.6-3) unstable; urgency=low

  * Bug fix: "FTBFS on kfreebsd-i386: /bin/sh: line 1: 42209 Segmentation
    fault gcl &lt; workxxx", thanks to Cyril Brulebois (Closes: #563604).

 -- Camm Maguire <camm@debian.org>  Mon, 04 Jan 2010 18:12:16 +0000

acl2 (3.6-2) unstable; urgency=low

  * Bug fix: "FTBFS [alpha, hppa] - getprop.cert: No such file or
    directory", thanks to dann frazier (Closes: #562207).  Build-depend on
    gcl >= 2.6.7-51.
  * Bug fix: "adds non-existent TAGS file to tag file list", thanks to
    Timo Juhani Lindfors (Closes: #505812).  Don't automatically load tags
    table.

 -- Camm Maguire <camm@debian.org>  Sun, 03 Jan 2010 13:26:38 +0000

acl2 (3.6-1) unstable; urgency=low

  * New upstream release

  [ Camm Maguire ]
  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553715).

 -- Camm Maguire <camm@debian.org>  Tue, 15 Dec 2009 03:53:25 +0000

acl2 (3.4-2) unstable; urgency=low

  * New maintainer address
  * sparc sgc workaround -- disable sgc here only

 -- Camm Maguire <camm@debian.org>  Mon, 23 Feb 2009 01:54:24 +0000

acl2 (3.4-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "acl2-status.txt should contain :INITIALIZED.", thanks to
    Lucas Nussbaum (Closes: #494328).  New release works around compiler
    issue.
  * Bug fix: "FTBFS when converted to new source format 3.0 (quilt)",
    thanks to hertzog@debian.org</a>; (Closes: #482594). patches ->
    dpatches

 -- Camm Maguire <camm@enhanced.com>  Sun, 24 Aug 2008 21:26:46 +0000

acl2 (3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on time, so that it works with shells other than bash
    (Closes: #459060).

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 18:49:49 +0200

acl2 (3.3-1) unstable; urgency=low

  * New upstream release
  * build-dep on latest gcl to get arm build
  * Bug fix: "acl2&#39;s idea of the system book path is wrong", thanks to
    Sami Liedes (Closes: #440353). Apply suggested fix to wrapper script,
    Thanks!
  * Bug fix: "acl2-emacs: please prefer emacs22", thanks to Tatsuya
    Kinoshita (Closes: #434915). prefer emacs22
  * Bug fix: "acl2: not binNMU safe", thanks to Lior Kaplan (Closes:
    #430471). Apply suggested patch, Thanks!
  * build-dep texlive-latex-recommended

 -- Camm Maguire <camm@enhanced.com>  Mon, 03 Dec 2007 10:10:09 -0500

acl2 (3.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Thu, 17 May 2007 10:41:35 -0400

acl2 (3.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Dec 2006 10:35:42 -0500

acl2 (3.0.1-8) unstable; urgency=low

  * Fix dlopen.lisp.in

 -- Camm Maguire <camm@enhanced.com>  Thu, 19 Oct 2006 12:52:10 -0400

acl2 (3.0.1-7) unstable; urgency=low

  * Build dep on libxmu-dev libxaw7-dev

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Oct 2006 16:36:26 -0400

acl2 (3.0.1-6) unstable; urgency=low

  * really change dlopen
  * build dep on gcl_2.6.7-27

 -- Camm Maguire <camm@enhanced.com>  Tue, 17 Oct 2006 18:19:47 -0400

acl2 (3.0.1-5) unstable; urgency=low

  * Add user::*fast-acl2-gcl-build* and user::*acl2-keep-tmp-files*
    parameters to dlopen following upstream
  * Build-Depend on gcl_2.6.7-26

 -- Camm Maguire <camm@enhanced.com>  Mon, 16 Oct 2006 18:05:05 -0400

acl2 (3.0.1-4) unstable; urgency=low

  * Build-Depend on gcl_2.6.7-25

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Oct 2006 14:41:53 -0400

acl2 (3.0.1-3) unstable; urgency=low

  * Build-Depend on gcl_2.6.7-23
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Wed, 11 Oct 2006 11:09:29 -0400

acl2 (3.0.1-2) unstable; urgency=low

  * rebuild against newer gcl



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

PN:=acl2
VR:=$(shell awk '{if (i) next;i=1;a=$$2;gsub("[()]","",a);split(a,A,"-");print A[1];}' debian/changelog)
PD:=$(PN)-$(VR)


NO_STRIP:=
ifeq ($(DEB_BUILD_ARCH),powerpc)
NO_STRIP:=--exclude=saved_acl2
endif

books/workshops:
	mkdir $@

#init.lsp.ori: 
#	[ -e $@ ] || mv init.lsp $@

DLOPEN_T:=debian/dlopen.lisp #init.lsp.ori 

#ifeq ($(DEB_BUILD_ARCH),ia64)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),alpha)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),mips)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),mipsel)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),hppa)
#DLOPEN?=$(DLOPEN_T)
#endif

debian/dlopen.lisp: debian/dlopen.lisp.in
	cat $< | sed "s,@VR@,$(VR),g" > $@

debian/acl2-emacs.emacsen-startup: debian/acl2-emacs.emacsen-startup.in
	cat $< | sed "s,@VR@,$(VR),g" > $@

saved_acl2: debian/patches_applied $(DLOPEN_T)
	echo '(progn (load "debian/sublis_patch.lsp")(si::save-system "pgcl"))' | gcl
	./pgcl -batch -eval "(bye #-native-reloc 1)" || \
		(./pgcl -batch -eval '(load "debian/dlopen.lisp")' && $(MAKE) do_saved)
	./pgcl -batch -eval "(bye #+native-reloc 1)" || $(MAKE) LISP=./pgcl
	mv *$@.gcl $@

saved_acl2.c: saved_acl2
	echo "(f-put-global 'old-certification-dir \"$$(pwd)/books\" state)" \
              "(f-put-global 'new-certification-dir \"/usr/share/$(PD)/books\" state)" \
	      ":q #+(or sparc sparc64)(progn (si::sgc-on nil) (fmakunbound 'si::sgc-on))" \
              "(save-exec \"$@\" \"Modified to produce final certification files\")" | ./$<
	mv $@.gcl $@

debian/mini-proveall.out: saved_acl2
	$(MAKE) mini-proveall
	mv $(@F) $@

books/short-test.log: saved_acl2.c
	cp saved_acl2 saved_acl2.ori
	$(MAKE) certify-books-short
	cp saved_acl2.ori saved_acl2

debian/test.log: saved_acl2.c
	mv saved_acl2 saved_acl2.ori
	cp $< saved_acl2
	cd books && \
		BUILDDIR="$$(dirname $$(pwd))" \
		FINALDIR="/usr/share/$(PD)" \
		HOME="/tmp/" \
		$(MAKE) >../$@ 2>&1 & j=$$! ; \
		tail -f --pid=$$j --retry $@ $$(find books -name "*.lisp" | sed 's,\.lisp$$,.out,1') & \
		wait $$j
	[ -f $@ ] && ! fgrep '**' $@ || echo FULL TEST FAILS
	for i in $$(find books -name "*.out"); do \
		if ! [ -e $${i%out}cert ] ; then \
			echo $$i ; \
			cat $$i ; \
		fi ; \
	done
	mv saved_acl2.ori saved_acl2
	[ -f $@ ] && ! fgrep '**' $@

interface/infix/Makefile: interface/infix/makefile
	sed -e "s,^DIR = .*,DIR = $$(pwd)/interface/infix,1" \
	    -e "s,^LISP = .*,LISP = $$(pwd)/saved_acl2,1" $< > $@

infix-stamp: interface/infix/Makefile saved_acl2
	cd interface/infix && make -f Makefile compile 
	cd interface/infix && make -f Makefile example 
#	cd interface/infix && make -f Makefile events 
	touch $@

build: build-stamp
build-stamp: debian/mini-proveall.out debian/test.log infix-stamp
	dh_testdir

#	$(MAKE)

	touch build-stamp

infix_clean: interface/infix/Makefile
	rm -f infix-stamp 
	cd interface/infix && make -f Makefile clean
	rm -f interface/infix/Makefile


debian/dpatches: debian/patches.in
	debian/rules debian/patches_unapplied
	cat $< | sed -e "s,@BDIR@,$$(pwd),1" -e "s,@DDIR@,/usr/share/$(PD),1" >$@

debian/patches_applied: debian/dpatches
	! [ -e debian/patches_unapplied ] || \
		(patch -p1 < $< && rm -f debian/patches_unapplied)
	touch $@

debian/patches_unapplied: 
	! [ -e debian/patches_applied ] || ! [ -e debian/dpatches ] ||  \
		(patch -p1 -R < debian/dpatches && rm -f debian/patches_applied)
	touch $@


INSTALLS:=$(addprefix debian/,$(addsuffix .install,acl2 acl2-source acl2-emacs acl2-doc acl2-books acl2-books-source acl2-books-certs acl2-infix acl2-infix-source))
LINKS:=$(addprefix debian/,$(addsuffix .links,acl2 acl2-books acl2-infix))
IFILES:=$(INSTALLS) $(shell ls -1 debian/*.examples debian/*.docs)
debian/README.Debian: debian/README.Debian.in $(IFILES)
	awk '/@PLIST@/ {exit 0} {print}' $< >$@
	for i in $(filter %.install,$^); do\
	 awk '/^debian\// {next} {sub(".final$$","",$$1);$$2="/" $$2;print $$0 " " p}' \
		p=$$(basename $${i%.install}) $$i >>$@ ; done
	for i in $(filter %.info,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/info " p}' p=$$(basename $${i%.info}) $$i >>$@ ; done
	for i in $(filter %.examples,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/doc/" p "/examples " p}' \
		p=$$(basename $${i%.examples}) $$i >>$@ ; done
	for i in $(filter %.docs,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/doc/" p " " p}' p=$$(basename $${i%.docs}) $$i >>$@ ; done
	awk '/@PLIST@/ {i=1;next} {if (i) print}' $< >>$@

clean: books/workshops infix_clean debian/patches_unapplied
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	$(MAKE) clean
	$(MAKE) clean-books
	find books -name "*.final" -exec rm {} \;
	rm -f saved_acl2 init_nsaved1_acl2.lsp worklispext
	rm -f debian/mini-proveall.out books/short-test.log debian/test.log
#	! [ -e init.lsp.ori ] || mv init.lsp.ori init.lsp
	rm -f foo.lsp nsaved_acl2
	for i in data c h ; do \
		for j in $$(find -name "*.$$i") ; do\
			k=$$(echo $$j | sed "s,\.$$i$$,,1") ;\
			! [ -e $$k.lisp ] || rm $$j ; \
		done ; \
	done
	rm -f books/bdd/benchmarks.data acl2r.lisp tmp
	rmdir $<
	rm -f debian/dpatches $(INSTALLS) $(LINKS) debian/README.Debian saved_acl2*
	rm -f debian/dlopen.lisp debian/acl2-emacs.emacsen-startup
	rm -f debian/acl2.sh pgcl
	dh_clean -XTAGS

debian/acl2-infix.install:: 
	find interface/infix -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find interface/infix -name "*.sty" | \
		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/texmf/tex/latex\n",$$1);}' >>$@

debian/acl2-infix-source.install:: 
	find interface/infix -name "*.lisp" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/acl2-emacs.install:: 
	find interface/emacs -name "*.el" | awk '{printf("%s usr/share/emacs/site-lisp/$(PN)\n",$$1);}' >>$@
	find emacs -name "*.el" | awk '{printf("%s usr/share/emacs/site-lisp/$(PN)\n",$$1);}' >>$@

debian/acl2.install:: 
	echo debian/acl2.sh usr/bin >>$@
	echo saved_acl2 usr/lib/$(PD) >>$@

debian/acl2-books.install:: 
	find books -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/acl2-source.install:: 
	find * -name "*.lisp" -maxdepth 0 | grep -v TMP1.lisp | awk '{printf("%s usr/share/$(PD)\n",$$1);}' >$@
	find * -name "TAGS" -maxdepth 0 | awk '{printf("%s usr/share/$(PD)\n",$$1);}' >>$@

debian/acl2-books-certs.install:: 
	find books -name "*.cert" | grep -v fix-cert/moved | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s.final usr/share/$(PD)/%s\n",$$1,a);}' >>$@

debian/acl2-books-source.install:: 
	find books -name "*.lisp" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@
	find books -name "*.acl2" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@
	find books/bdd -name "bit-vector-reader.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@

debian/acl2-doc.install::
	echo doc/HTML usr/share/doc/acl2-doc >$@
	find books -name "README*" | \
		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
	find books/textbook -name "*.txt" | \
		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
	find books/textbook -name "*.html" | \
		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
	find books/bdd/be/ -type f | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
	find books/misc -name "simplify-defuns.txt" | \

## acl2 4.2

=== books/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-#; ACL2 Version 4.1 -- A Computational Logic for Applicative Common Lisp
-#; Copyright (C) 2010  University of Texas at Austin
+#; ACL2 Version 4.2 -- A Computational Logic for Applicative Common Lisp
+#; Copyright (C) 2011  University of Texas at Austin
 
 #; This version of ACL2 is a descendent of ACL2 Version 1.9, Copyright
 #; (C) 1997 Computational Logic, Inc.  See the documentation topic NOTES-2-0.
@@ -49,11 +49,7 @@
 
 # Note: arithmetic-4 could be added in analogy to arithmetic-5.
 
-# First directories of books to certify:
 DIRS1 = cowles arithmetic meta
-# Additional directories, where DIRS3 prunes out those not distributed.
-# We rely on DIRS3 being a subset of DIRS2 in the dependence of DIRS2 on
-# top-with-meta-cert.
 DIRS2_EXCEPT_WK_COI = ordinals data-structures bdd ihs arithmetic-2 arithmetic-3 arithmetic-5 \
 	misc models/jvm/m1 models/jvm/m5 proofstyles rtl arithmetic-3/extra sorting make-event parallel hints \
 	fix-cert finite-set-theory finite-set-theory/osets powerlists textbook \
@@ -66,7 +62,17 @@
 DIRS2 = $(DIRS2_EXCEPT_WK) workshops
 SHORTDIRS2 = ordinals data-structures bdd
 
-.PHONY: $(DIRS1) $(DIRS2) $(DIRS2_EXCEPT_WK)
+# The following can be any subset of DIRS2, and can be set by the user
+# on the command line, e.g., from the ACL2 sources directory:
+#   make -j 8 regression ACL2_BOOK_DIRS='symbolic paco'
+# The directory dependencies (below) should guarantee that all
+# necessary supporting directories are made before the ones specified
+# explicitly in ACL2_BOOK_DIRS.
+ACL2_BOOK_DIRS ?= $(DIRS2)
+
+# Since we have specified that ACL2_BOOK_DIRS is to be a subset of
+# DIRS2, we do need to add it explicitly on the next line.
+.PHONY: $(DIRS1) $(DIRS2)
 
 # Same as all-plus below, using DIRS2_EXCEPT_WK instead of DIRS2.  Much faster!!  Omits
 # books less likely to be needed, in particular, under workshops/.
@@ -413,7 +419,7 @@
 # Certify all books that need certification.  If you want to get a total time
 # for certifying all books, then first do "make clean".
 .PHONY: all-plus
-all-plus: $(DIRS1) $(DIRS2)
+all-plus: $(DIRS1) $(ACL2_BOOK_DIRS)
 
 # Keep the following three pairs in sync with the two targets just above.
 # They will create compiled files for books that may have already been
@@ -469,18 +475,3 @@
 	fi \
 	done
 
-.PHONY: all-sparcf
-all-sparcf:
-	@date ; $(TIME) $(MAKE) all-sparcf-aux ; date
-
-.PHONY: all-sparcf-aux
-all-sparcf-aux:
-	@for dir in $(DIRS1) ; \
-	do \
-	if [ -f $$dir/Makefile ]; then \
-	(cd $$dir ; \
-	$(MAKE) sparcf ; \
-	cd ..) ; \
-	fi \
-	done
-	@$(MAKE) top-with-meta-sparcf

=== books/fix-cert/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
+# This copies the .cert files as they are, but doesn't get them into their
+# final state.  We put this rule before the inclusion of Makefile-generic,
+# so that it will take priority over the rule for target %.cert in that file.
+moved/%.cert: %.cert
+	cp -v $^ $@
+
 include ../Makefile-generic
 -include Makefile-deps
-
-# This copies the .cert files as they are, but doesn't get them into their
-# final state.
-moved/%.cert: %.cert
-	cp -v $^ $@
 
 # Certifying this one actually updates the moved/*.cert files to reflect
 # their new location.

=== books/xdoc/Makefile ===
include ../Makefile-generic
-include Makefile-deps

BOOKS := $(filter-out acl2-customization,$(BOOKS))

# This is really gross.
COMPILE_FLG := t


top.cert: save.cert display.cert topics.cert defxdoc-raw.cert mkdir-raw.cert

# Commenting out TAGS just below to avoid an error we've seen on Windows with etags missing:
# all: manual/success.txt TAGS
all: manual/success.txt

manual/success.txt: top.cert $(wildcard support/*) make-manual.lsp
	rm -rf manual
	mkdir manual
	$(ACL2) < make-manual.lsp > make-manual.out

TAGS: $(wildcard *.lisp)
	etags *.lisp


.PHONY: moreclean
moreclean:
	rm -f .fmt-to-chars.tmp TAGS
	rm -rf manual
	rm -rf *.time

clean: moreclean

=== books/clause-processors/SULFA/Makefile ===
# make ACL2_SYSTEM_BOOKS=/projects/acl2/v3-2-linux/books ACL2=/projects/acl2/v3-2-linux/allegro-saved_acl2

# Your Perl interpreter
PERL ?= perl

# Your SAT solver executable
SAT_SOLVER ?= ${PWD}/../../../aux/minisat2/${HOSTTYPE}/minisat/core/minisat

# Either "minisat" or "zchaff"
SAT_SOLVER_TYPE ?= minisat

#Or, for example:
#SAT_SOLVER = ${PWD}/../../../sat-solvers/zchaff/zchaff
#SAT_SOLVER_TYPE = zchaff

# Your C compiler
CC = gcc

ACL2_SYSTEM_BOOKS = ../..

# I need a full path so that I can hardcode a call to 
# ACL2 in our SULFA smt solver.
ACL2 = ${PWD}/${ACL2_SYSTEM_BOOKS}/../saved_acl2

# I want the defaults set in this makefile to carry over into
# subdirectories.
MAKE += PERL=${PERL} SAT_SOLVER=${SAT_SOLVER} SAT_SOLVER_TYPE=${SAT_SOLVER_TYPE} CC=${CC}

DIRS = scripts c-files books

all: check_sat_exec check_sat_type scripts/sulfa-smt

.PHONY: check_sat_type
check_sat_type:
	@if [ $(SAT_SOLVER_TYPE) != "minisat" -a \
              $(SAT_SOLVER_TYPE) != "zchaff" ]; then \
          echo "Illegal SAT_SOLVER_TYPE: '$(SAT_SOLVER_TYPE)'"; \
          exit 1; \
        fi

.PHONY: check_sat_exec
check_sat_exec:
	@if [ ! -f $(SAT_SOLVER) ] ; then \
	  echo "Unable to find sat solver file: '$(SAT_SOLVER)'" ; \
	  exit 1 ; \
	fi

scripts/sulfa-smt: subdirs scripts/interpret_sulfa_file

scripts/sulfa-smt: 
	@${MAKE} sulfa-smt -C scripts

subdirs: scripts/interpret_sulfa_file 

subdirs: 
	@for dir in ${DIRS}; do \
       ${MAKE} -C $$dir; \
        done

.PHONY: subdirs

scripts/interpret_sulfa_file:
	@echo "#!${PERL}" > scripts/interpret_sulfa_file ; \
echo "" >> scripts/interpret_sulfa_file ; \
echo "# WARNING: DO NOT MODIFY THIS FILE DIRECTLY, IT'S GENERATED USING the top-level makefile!" >> scripts/interpret_sulfa_file ; \
echo "while ("'$$'"line = <>) {"  >> scripts/interpret_sulfa_file ; \
echo '$$'"line =~ s,%SULFA_DIR%,${CURDIR},;" >> scripts/interpret_sulfa_file ; \
echo '$$'"line =~ s,%PERL%,${PERL},;" >> scripts/interpret_sulfa_file ; \
echo '$$'"line =~ s,%ACL2%,${ACL2},;" >> scripts/interpret_sulfa_file ; \
echo '$$'"line =~ s,%SAT_SOLVER%,${SAT_SOLVER},;" >> scripts/interpret_sulfa_file ; \
echo '$$'"line =~ s,%SAT_SOLVER_TYPE%,${SAT_SOLVER_TYPE},;" >> scripts/interpret_sulfa_file ; \
echo "" >> scripts/interpret_sulfa_file ; \
echo '$$'"line =~ s/%CREATE_GENERATED_WARNING%/WARNING: DO NOT MODIFY THIS FILE DIRECTLY, IT'S GENERATED FROM ANOTHER FILE BY USING interpret_sulfa_file!/;" >> scripts/interpret_sulfa_file ; \
echo "print "'$$'"line;" >> scripts/interpret_sulfa_file ; \
echo "}" >> scripts/interpret_sulfa_file ; \
echo "" >> scripts/interpret_sulfa_file ; \
chmod ugo+rx-w scripts/interpret_sulfa_file

clean:
	rm -f \#*\# *~
	rm -f scripts/interpret_sulfa_file 
	${MAKE} clean-subdirs

clean-subdirs: 
	for dir in ${DIRS}; do \
        ${MAKE} clean -C $$dir; \
        done

.PHONY: clean-subdirs

=== books/coi/adviser/Makefile ===
include ../../Makefile-generic
BOOKS = adviser adviser-pkg test
-include Makefile-deps

clean: clean-coi-extras

clean-coi-extras:
	rm -f Makefile.*

=== books/coi/lists/Makefile ===
include ../../Makefile-generic
BOOKS = acl2-count basic memberp \
        repeat map-cons \
        nth-and-update-nth \
	list-top update-nth-array mixed \
	nth-meta nth-meta2 find-index \
	subsetp remove set remove-induction disjoint \
	listset-induction \
	mv-nth
-include Makefile-deps

clean: clean-coi-extras

clean-coi-extras:
	rm -f Makefile.*

=== books/coi/syntax/Makefile ===
include ../../Makefile-generic
BOOKS = syn-pkg auxilary syntax-extensions defevaluator defbinding syntax quine
-include Makefile-deps

clean: clean-coi-extras

clean-coi-extras:
	rm -f Makefile.*

=== debian/changelog ===
acl2 (4.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Fri, 13 May 2011 13:14:39 +0000

=== debian/control ===
Source: acl2
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: gcl ( >= 2.6.7-87 ), libgmp3-dev, libncurses5-dev, libreadline-dev, emacs23 | emacsen, debhelper ( >= 5 ), texlive-latex-recommended, libxmu-dev, libxaw7-dev, time
Standards-Version: 3.9.1

Package: acl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: acl2-source, acl2-books
Suggests: acl2-emacs
Description: A Computational Logic for Applicative Common Lisp: main binary
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the base ACL2 binary. 

Package: acl2-source
Architecture: all
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Depends: ${misc:Depends}	  
Description: A Computational Logic for Applicative Common Lisp: source files
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the lisp source files to the main ACL2 binary.

Package: acl2-emacs
Architecture: all
Depends: acl2 (>= ${source:Version}), emacs23 | emacsen, ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: A Computational Logic for Applicative Common Lisp: emacs interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains an emacs interface to ACL2.

Package: acl2-infix
Architecture: any
Recommends: acl2-infix-source (= ${source:Version})
Depends: acl2 (= ${binary:Version}), texlive-latex-recommended, ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: A Computational Logic for Applicative Common Lisp: infix interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains utilities and libraries to access ACL2 via an
 infix notation similar to that used in many non-lisp programming
 languages.

Package: acl2-infix-source
Architecture: all
Depends: ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: A Computational Logic for Applicative Common Lisp: infix source
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the source files to the infix interface to
 ACL2.

Package: acl2-books
Architecture: any
Depends: acl2 (= ${binary:Version}), acl2-books-certs (= ${source:Version}), acl2-books-source (= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: A Computational Logic for Applicative Common Lisp: compiled libraries
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains numerous precompiled and precertified libraries
 for use in proving theorems with ACL2.  Serious users will no doubt
 want to install this package.

Package: acl2-books-source
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: A Computational Logic for Applicative Common Lisp: library sources
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains source lisp files to the compiled libraries
 supplied in the ACL2-books package.

Package: acl2-books-certs
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: A Computational Logic for Applicative Common Lisp: library certificates
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This file contains certification records for the various precompiled
 libraries supplied in the ACL2-books package.  ACL2 essentially
 requires that all included books be certified before use.

Package: acl2-doc
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Architecture: all
Section: doc
Description: A Computational Logic for Applicative Common Lisp: documentation
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the documentation for ACL2.

=== debian/rules ===
--- 
+++ 
@@ -211,9 +211,9 @@
 	find books/bdd -name "bit-vector-reader.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@
 
 debian/acl2-doc.install::
-	echo doc/HTML usr/share/doc/acl2-doc >$@
+#	echo doc/HTML usr/share/doc/acl2-doc >$@
 	find books -name "README*" | \
-		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
+		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >$@
 	find books/textbook -name "*.txt" | \
 		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
 	find books/textbook -name "*.html" | \
